package com.ssj.service.kmt.request;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

/**
 * @author yrf
 * @date 2019/1/21 14:22
 */
public class WrongQuestionRequest extends BaseRequest {

    private static final long serialVersionUID = 5376089361994931816L;

    @ApiModelProperty(name = "questionId", value = "题目id", required = true)
    private String questionId;

    @ApiModelProperty(name = "knowledgeIdList", value = "关联知识点的id列表", required = true)
    private List<String> knowledgeIdList;

    @ApiModelProperty(name = "spaces", value = "错题空列表，如果题目只有一个空不传植", required = true)
    private List<Integer> spaces;

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public List<String> getKnowledgeIdList() {
        return knowledgeIdList;
    }

    public void setKnowledgeIdList(List<String> knowledgeIdList) {
        this.knowledgeIdList = knowledgeIdList;
    }

    public List<Integer> getSpaces() {
        return spaces;
    }

    public void setSpaces(List<Integer> spaces) {
        this.spaces = spaces;
    }
}
